=== debian/changelog ===
xgalaga++ (0.8.2-1) unstable; urgency=low

  * New upstream.
  * debian/copyright:
    - Use DEP-5 format.
  * debian/pachages/debian-changes-0.8.1-1: Removed.
  * debian/pachages/fix_man_section: Added.

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 07 Mar 2011 15:08:14 +0900

xgalaga++ (0.8.1-1) unstable; urgency=low

  * Initial release (Closes: #536138)

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 03 Dec 2010 14:40:43 +0900
