=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR:=$(CURDIR)/debian/xgalaga++
%:
	dh $@ 


override_dh_auto_build:
	dh_auto_build -- all

override_dh_auto_install:
	dh_auto_install -- installprefix=$(CURDIR)/debian/xgalaga++/usr \
		HIGH_SCORES_FILE=$(CURDIR)/debian/xgalaga++/var/games/xgalaga++.scores

override_dh_fixperms:
	dh_fixperms
	chgrp games $(DESTDIR)/usr/games/xgalaga++
	chmod g+s   $(DESTDIR)/usr/games/xgalaga++
	chgrp games $(DESTDIR)/var/games/xgalaga++.scores
	chmod 664   $(DESTDIR)/var/games/xgalaga++.scores
