## xgalaga++ 0.8.3

=== debian/changelog ===
xgalaga++ (0.8.3-1) unstable; urgency=low

  * Imported Upstream version 0.8.3
  * change Maintainer to Games Team.
  * Standards-Version: 3.9.3
    + debian/copyright: copyright-format 1.0

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 09 May 2012 13:06:11 +0900
