=== debian/control ===
Source: xgalaga++
Section: games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libx11-dev, libxpm-dev
Standards-Version: 3.9.3
Homepage: http://marc.mongenet.ch/OSS/XGalaga/
#Vcs-Git: git://git.debian.org/collab-maint/xgalaga++.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/xgalaga++.git;a=summary

Package: xgalaga++
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: classic single screen vertical shooter, inspired by xgalaga
 XGalaga++ is a classic vertical scrolling shoot'em up. It requires no X
 Window extension and its window is freely resizable. It is inspired by
 XGalaga, but rewritten from scratch, except for the graphics.
