## xgalaga++ 0.8.4

=== Makefile ===
--- 
+++ 
@@ -30,10 +30,10 @@
 mandir = $(installprefix)/share/man/man6
 
 # preprocessor options to find all included files
-INC_PATH = -I$(srcdir) -I/usr/X11R6/include
+INC_PATH = -I$(srcdir) -I/usr/local/include
 
 # libraries link options ('-lm' is common to link with the math library)
-LNK_LIBS = -lm -lX11 -lXpm -L/usr/X11R6/lib/
+LNK_LIBS = -lm -lX11 -lXpm -L/usr/local/lib/
 
 # other compilation options
 # The high scores file is only writable by the executable and shared
@@ -161,14 +161,16 @@
 # usage message for this makefile
 .PHONY:	usage
 usage:
-	@echo "GOAL	EFFECT"
-	@echo "----	------"
-	@echo "usage	print this message"
-	@echo "list	list the source files"
-	@echo "$(GOAL_EXE)	build the executable"
-	@echo "$(GOAL_DEBUG)	build the executable with debug options"
-	@echo "$(GOAL_PROF)	build the executable with profiling options"
-	@echo "clean	remove all built files"
+	@echo "GOAL      EFFECT"
+	@echo "----      ------"
+	@echo "usage     print this message"
+	@echo "list      list the source files"
+	@echo "$(GOAL_EXE)       build the executable"
+	@echo "$(GOAL_DEBUG)     build the executable with debug options"
+	@echo "$(GOAL_PROF)      build the executable with profiling options"
+	@echo "clean     remove all built files"
+	@echo "install   remove all built files"
+	@echo "uninstall remove all built files"
 
 # If source files exist then build the EXE file.
 .PHONY:	$(GOAL_EXE)
@@ -256,3 +258,8 @@
 	touch $(HIGH_SCORES_FILE)
 	if [ -n "$(EXE_GROUP)" ]; then chgrp $(EXE_GROUP) $(HIGH_SCORES_FILE); fi
 	chmod 664 $(HIGH_SCORES_FILE)
+
+.PHONY:	uninstall
+uninstall:
+	rm $(bindir)/$(EXE)
+	rm $(mandir)/$(MANUAL)
