=== debian/changelog ===
xgalaga++ (0.8.4-1) unstable; urgency=medium

  * Imported Upstream version 0.8.4
  * Standards-Version 3.9.5

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 24 Dec 2013 11:41:16 +0900
