=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), libx11-dev, libxpm-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://marc.mongenet.ch/OSS/XGalaga/
 #Vcs-Git: git://git.debian.org/collab-maint/xgalaga++.git
 #Vcs-Browser: http://git.debian.org/?p=collab-maint/xgalaga++.git;a=summary
