=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 DESTDIR:=$(CURDIR)/debian/xgalaga++
 %:
-	dh $@ 
+	dh $@ --buildsystem=makefile
 
 
 override_dh_auto_build:
