## xgalaga++ 0.9

=== Makefile ===
--- 
+++ 
@@ -169,8 +169,8 @@
 	@echo "$(GOAL_DEBUG)     build the executable with debug options"
 	@echo "$(GOAL_PROF)      build the executable with profiling options"
 	@echo "clean     remove all built files"
-	@echo "install   remove all built files"
-	@echo "uninstall remove all built files"
+	@echo "install   install executable, manual, and high scores files"
+	@echo "uninstall remove executable and manual files"
 
 # If source files exist then build the EXE file.
 .PHONY:	$(GOAL_EXE)
