=== debian/changelog ===
xgalaga++ (0.9-3) unstable; urgency=medium

  * Team Upload

  [ Niels Thykier ]
  * Declare the explicit requirement for (fake)root

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Update watch file format version to 4.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 10 to 13.
  * Set debhelper-compat version in Build-Depends.

 -- Alexandre Detiste <tchet@debian.org>  Mon, 18 Nov 2024 00:20:18 +0100

xgalaga++ (0.9-2) unstable; urgency=medium

  * Update Vcs-* to salsa.debian.org

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 28 Jan 2018 00:14:37 +0900

xgalaga++ (0.9-1) unstable; urgency=medium

  * New upstream version 0.9
  * debian/patches/fix_man_section: Refresh
  * Bump Standards-Version to 4.1.3

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 27 Jan 2018 23:01:19 +0900

xgalaga++ (0.8.4-3) unstable; urgency=medium

  * debian/patches: Add reproducible_build.patch.
  * debian/compat: Bump to 10
  * Bump Standards-Version to 4.0.0

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 05 Jul 2017 21:31:22 +0900

xgalaga++ (0.8.4-2) unstable; urgency=medium

  * Team upload.
  * Use compat level 9 and require debhelper >= 9.
  * Maintain the package in a Git repository to comply with the Games Team
    policy.
  * wrap-and-sort -sa.
  * Set priority to optional.
  * Declare compliance with Debian Policy 3.9.6.
  * Provide new hicolor icon and desktop file. (Closes: #726903)

 -- Markus Koschany <apo@debian.org>  Sat, 12 Dec 2015 12:48:34 +0100
