=== debian/control ===
Source: xgalaga++
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 TANIGUCHI Takaki <takaki@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libx11-dev,
 libxpm-dev
Standards-Version: 4.1.3
Homepage: https://marc.mongenet.ch/OSS/XGalaga/
Vcs-Git: https://salsa.debian.org/games-team/xgalagapp.git
Vcs-Browser: https://salsa.debian.org/games-team/xgalagapp
Rules-Requires-Root: binary-targets

Package: xgalaga++
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: classic single screen vertical shooter, inspired by xgalaga
 XGalaga++ is a classic vertical scrolling shoot'em up. It requires no X
 Window extension and its window is freely resizable. It is inspired by
 XGalaga, but rewritten from scratch, except for the graphics.
