=== debian/rules ===
--- 
+++ 
@@ -27,4 +27,3 @@
 	chmod g+s   $(DESTDIR)/usr/games/xgalaga++
 	chgrp games $(DESTDIR)/var/games/xgalaga++.scores
 	chmod 664   $(DESTDIR)/var/games/xgalaga++.scores
-
