=== debian/watch ===
version=4
http://marc.mongenet.ch/OSS/XGalaga/ xgalaga\+\+_([^_]*)\.tar\.gz
